#
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
# $Revision: 1.1.2.6 $
# $Source: /project/arrayrep/src/goldengate/unix/Attic/addGoldenGateAgent.sh,v $
#
#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
	if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
		:	
	else
		echo "$@";
	fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
	if [ "$ro" -eq 1 ]; then
		${VCSHOME}/bin/haconf -makerw
	fi
else
	echo "Unable to add the GoldenGate type. VCS Engine is not running. Start VCS Engine and execute the script etc/VRTSvcs/conf/sample_GoldenGate/addGoldenGateAAgent.sh."
	exit 0;
fi
add_fun "${VCSHOME}/bin/hatype -add GoldenGate"
${VCSHOME}/bin/hatype -modify GoldenGate ArgList LinkRes GoldenGateHome Extract DataPump Replicat AutoTakeover
${VCSHOME}/bin/hatype -modify GoldenGate SourceFile "./GoldenGateTypes.cf"
${VCSHOME}/bin/hatype -modify GoldenGate SupportedActions StartExtract StopExtract StartReplicat StopReplicat GGStatus GetExtractLag GetCurrentRPO
add_fun "${VCSHOME}/bin/haattr -add GoldenGate LinkRes -string"
add_fun "${VCSHOME}/bin/haattr -add GoldenGate GoldenGateHome -string "/u01/app/oracle/product/gg""
add_fun "${VCSHOME}/bin/haattr -add GoldenGate Extract -string"
add_fun "${VCSHOME}/bin/haattr -add GoldenGate DataPump -string"
add_fun "${VCSHOME}/bin/haattr -add GoldenGate Replicat -string"
add_fun "${VCSHOME}/bin/haattr -add GoldenGate AutoTakeover -integer 1"
add_fun "${VCSHOME}/bin/haattr -add GoldenGate ComputeDRSLA -integer 1"

if [ "$ro" -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi

